# Enum ControlCommand.Action

java.lang.Object
java.lang.Enum<ControlCommand.Action>
org.apache.zookeeper.server.controller.ControlCommand.Action

All Implemented Interfaces:
  `Serializable, Comparable<ControlCommand.Action>`

Enclosing class:
  `ControlCommand`

public static enum ControlCommand.Action extends Enum<ControlCommand.Action>
Actions available to the controller

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDDELAY`
`CLOSECONNECTION`
`ELECTNEWLEADER`
`EXPIRESESSION`
`FAILREQUESTS`
`NORESPONSE`
`PING`
`REJECTCONNECTIONS`
`RESET`
`SHUTDOWN`

## Method Summary

Modifier and Type
Method
Description
`static ControlCommand.Action`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ControlCommand.Action[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PING

public static final ControlCommand.Action PING

### SHUTDOWN

public static final ControlCommand.Action SHUTDOWN

### CLOSECONNECTION

public static final ControlCommand.Action CLOSECONNECTION

### EXPIRESESSION

public static final ControlCommand.Action EXPIRESESSION

### REJECTCONNECTIONS

public static final ControlCommand.Action REJECTCONNECTIONS

### ADDDELAY

public static final ControlCommand.Action ADDDELAY

### FAILREQUESTS

public static final ControlCommand.Action FAILREQUESTS

### NORESPONSE

public static final ControlCommand.Action NORESPONSE

### RESET

public static final ControlCommand.Action RESET

### ELECTNEWLEADER

public static final ControlCommand.Action ELECTNEWLEADER

## Method Details

### values

public static ControlCommand.Action[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ControlCommand.Action valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null